Subject: Make WebRedirect EntryPoint less Routing dependent
Description

The WebRedirect currently expects an option uri that points to a relative or absolute URI to redirect when trying to access a protected
action.

Instead it should be possible to specify route values so that the Routing framework can determine the correct target URI depending
on the Routes.yaml configuration.

Associated revisions
Revision 94c0c7bb - 2012-08-28 12:52 - Bastian Waidelich

[FEATURE] Make WebRedirect EntryPoint less Routing dependent

The WebRedirect currently expects an option uri that points
to a relative or absolute URI to redirect when trying to access
a protected action.

This change makes it possible to specify route values instead
so that the Routing framework can determine the correct target
URI depending on the Routes.yaml configuration.

Change-Id: I39088e10f201b77df97a9e2cbe969a91079f379e
Resolves: #39837
Releases: 1.2

History
#1 - 2012-08-15 17:06 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13796

#2 - 2012-08-28 12:53 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13796
#3 - 2012-08-29 18:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:94c0c7bb26561a09a7df527a76572188ab8e06a9.
